package net.richardlord.smartcomponents.twitter.events
{
	import flash.events.Event;
	
	import net.richardlord.smartcomponents.twitter.data.TweetCollection;
	
	public class TweetCollectionEvent extends Event
	{
		public static const TWEETS_LOADED:String = "tweetsLoaded";
		
		public var tweets:TweetCollection;
		
		public function TweetCollectionEvent( type:String, tweets:TweetCollection = null )
		{
			super( type );
			this.tweets = tweets;
		}
		
		override public function clone():Event
		{
			return new TweetCollectionEvent( type, tweets );
		}
	}
}